Bug 227971 - devel/py-pipenv: run-time failure due to requiring older py-pathlib2
Summary: devel/py-pipenv: run-time failure due to requiring older py-pathlib2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-04 14:39 UTC by John Hein
Modified: 2018-05-05 17:45 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2018-05-04 14:39:56 UTC
If you install devel/py-pipenv (for FLAVOR py27) and run pipenv, there is a run-time error:

=====================
% pipenv
Traceback (most recent call last):
  File "/usr/local/bin/pipenv", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3088, in <module>
    @_call_aside
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3072, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3101, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 576, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 589, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 778, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'pathlib2==2.1.0' distribution was not found and is required by pipenv
=====================

lib/python2.7/site-packages/pipenv-11.10.0-py2.7.egg-info/requires.txt has:
pip>=9.0.1
certifi
setuptools>=36.2.1
virtualenv-clone>=0.2.5
virtualenv

[:python_version < "3.0"]
requests[security]
ordereddict

[:python_version < "3.4"]
pathlib2==2.1.0


But the current version of pathlib2 (updated on 2017-06-25) in the ports tree is 2.3.0
Comment 1 commit-hook freebsd_committer 2018-05-05 17:23:15 UTC
A commit references this bug:

Author: sunpoet
Date: Sat May  5 17:22:53 UTC 2018
New revision: 469153
URL: https://svnweb.freebsd.org/changeset/ports/469153

Log:
  Fix pathlib2 dependency

  - Bump PORTREVISION for package change

  PR:		227971
  Reported by:	John Hein <z7dr6ut7gs@snkmail.com>

Changes:
  head/devel/py-pipenv/Makefile
Comment 2 Po-Chuan Hsieh freebsd_committer 2018-05-05 17:45:45 UTC
Committed. Thanks!